io.vertx.groovy.ext.asyncsql

## Class MySQLClient_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.ext.asyncsql.MySQLClient_GroovyStaticExtension

-     public class MySQLClient_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySQLClient_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsyncSQLClient` | `createNonShared(MySQLClient j_receiver, Vertx vertx, Map<String,Object> config)`
    `static AsyncSQLClient` | `createShared(MySQLClient j_receiver, Vertx vertx, Map<String,Object> config)`
    `static AsyncSQLClient` | `createShared(MySQLClient j_receiver, Vertx vertx, Map<String,Object> config, String poolName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MySQLClient_GroovyStaticExtension

          public MySQLClient_GroovyStaticExtension()

  - ### Method Detail

    - #### createNonShared

          public static AsyncSQLClient createNonShared(MySQLClient j_receiver,
                                                       Vertx vertx,
                                                       Map<String,Object> config)

    - #### createShared

          public static AsyncSQLClient createShared(MySQLClient j_receiver,
                                                    Vertx vertx,
                                                    Map<String,Object> config,
                                                    String poolName)

    - #### createShared

          public static AsyncSQLClient createShared(MySQLClient j_receiver,
                                                    Vertx vertx,
                                                    Map<String,Object> config)

Copyright © 2017. All rights reserved.